#[derive(Debug, StructOpt)]
#[structopt(
name = "awatch",
about = "Here to help you with watching anime on your PC."
)]
pub struct Opt {
    #[structopt(subcommand)]
    pub mode: Option<RunMode>
}

#[derive(StructOpt, Debug)]
pub enum RunMode {
    #[structopt(name = "init", about = "Initialize config")]
    Init,
    #[structopt(name = "play", about = "Play next episode")]
    Play,
    #[structopt(name = "prev", about = "Decrease episode counter by one")]
    Prev,
    #[structopt(name = "next", about = "Increase episode counter by one")]
    Next,
    #[structopt(name = "update", about = "Update saved config")]
    Update,
    #[structopt(name = "reset", about = "Set episode to 0")]
    Reset,
}